@font-face {
    font-family: 'Panton';
    src: url('../fonts/Panton-Regular.woff2') format('woff2'),
         url('../fonts/Panton-Regular.ttf') format('truetype'),
         url('../fonts/Panton-Bold.woff2') format('woff2'),
         url('../fonts/Panton-Bold.ttf') format('truetype'),
         
         url('../fonts/Panton-SemiBold.ttf') format('truetype'),
         url('../fonts/Panton-SemiBold.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}
* {
	font-family: "Panton",Verdana,Arial,sans-serif !important;
}
body {
	background-color: #1D1D1D;
    background-image: url(../branding/nweb_background.png);
    background-size: cover;
    display: flex;
    height: 100vh;
    margin: 0;
}
#general-container {
    background-position: center;
    background-size: cover;
    display: grid;
    grid-template-columns: 33.75rem minmax(42rem, 56.25rem);
    height: 56.25rem;
    justify-content: center;
    margin: auto;
}
#control-section {
	background: #FFFFFF;
    border-right: 0.5rem solid #Ff6600;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    padding: 1.875rem 4rem;
}
#logo-container {
	display: flex;
    padding: 1.5rem 0rem 1.5rem 0;
}
#logo-container img {
    height: 4rem;
}
#login-header h1 {
    font-size: 1.5rem;
    line-height: 2.25rem;
	margin: 0;
}
#login-status-message {
    border-radius: 0.375rem;
    display: flex;
    gap: 1rem;
	padding: 1rem;
}
#login-status-message.status-message-error {
	background: #FFEFEF;
	border: 0.125rem solid #EE6666
}
#login-status-message #error-icon {
    height: 1.5rem;
    width: 1.5rem;
}
#login-status-message #error-message {
	display: flex;
	flex-direction: column;
	flex:1;
}
form {
	display: flex;
	flex-direction: column;
	gap: 1rem;
}
form a {
	color: #000000;
	text-decoration: none;
}
form a:hover {
	text-decoration: underline;
}
form input {
    background: #F6F6F6;
    border: 0.125rem solid #CBCBCB;
    border-radius: 0.375rem;
    color: #000000;
    font-weight: 500;
    font-size: inherit;
    outline: none;
    padding: 0.875rem; 
}
form input.error-empty-input {
    border: 0.125rem solid #E50B0B;
}
form input:focus {
	-webkit-box-shadow: 0 0 0.25rem #AAAAAA;
    -moz-box-shadow: 0 0 0.25rem #AAAAAA;
    box-shadow: 0 0 0.25rem #AAAAAA;
}
form input::placeholder {
  color: #999593;
  opacity: 1; 
}
#submit-button {
    align-items: center;
	background: #FFFFFF;
	border-radius: 0.5rem;
	border: 0.0625rem solid #F1591A;
	box-shadow: 0 0.125rem 0.125rem 0 rgba(0, 0, 0, 0.19);
	color: #F1591A;
	cursor: pointer;
	display: flex;
    gap: 0.5rem;
    justify-content: center;
	padding: 1.375rem 1.5rem; 
	
}
#submit-button span {
	font-size: 1.25rem;
	font-weight: 700;
}
#submit-button svg {
	fill: #F1591A;
}
#submit-button:hover,
#submit-button:focus {
  background: #FFF0E6;
}
#submit-button:active {
	background: #C65000;
	color: #FFFFFF;
}
#submit-button:active svg {
	fill: #FFFFFF;
}
#submit-button:disabled {
	background: #FFFFFF;
	color: 7D7D7D;
}
#submit-button:disabled svg {
	fill: 7D7D7D;
}
.input-container {
  	display: flex;
	flex-direction: column;
	font-size: 1.25rem;
	gap: 0.5rem;
}
.nodum-hidden {			 
  display: none;		 
}
#login-status-action {
	display: flex;
	flex-direction: column;
	font-family: "Panton";
    font-size: 0.875rem;
    font-weight: 500;
    gap: 0.375rem;
    padding: 1rem;
}
#login-status-action.status-action-warning {
	background: #FFF9ED;
	border: 0.125rem solid #F6B63E
}
#login-form-pane #login-form #login-status #session-override-container {
	display: flex;
	gap: 0.5rem;
}
#extras-container {
	margin: auto 0 0 0;
}
#breadcrumb {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    justify-content: center;
}
#app-icon {
    display: flex;
    height: 2.25rem;
    width: 2.25rem;
}
#foot-logo-container {
	margin: 0 auto 0;
    width: 7.75rem;
}
#foot-logo-container img {
	max-width: 100%;
}
#presentation-pane {
    background-image: url(../branding/login_image.jpg); 
    background-position: center;
    background-size: cover;
}
#crest-form {
	display: none;
}
@media (max-height: 899px) {
	
	#general-container {
	    grid-template-columns: 33.75rem minmax(35rem, 65rem);
		height: auto;
	    min-height: 38rem;
		position: relative;
	}
	
	#control-section {
		padding: 1.5rem 4rem
	}
	
	#logo-container {
		padding: 0;
	}
	
	#logo-container img {
	    height: 3.5rem;
	}
	
	#extras-container #wiki-link {
    	text-align: end;
	}
	
	#version-container {
		text-align: end;
	}
	
	#foot-logo-container {
	    bottom: 1.5rem;
	    position: absolute;
	    right: 1.5rem;
	}
}